Bug 3107 - gdm default login does not invoke .xinitrc
gdm default login does not invoke .xinitrc
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-05-27 21:12 EDT by nelson
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-28 12:06:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nelson 1999-05-27 21:12:38 EDT
The gdm option to invoke several X sessions is wonderful.
Unfortunately, there is no way to have gdm invoke .xinitrc,
which is what startx does. It would be good if gdm could
emulate startx's behaviour.

gdm default simply invokes /etc/X11/xdm/Xsession. That
script will invoke .xsession or .Xclients, but not .xinitrc.

One fix is to change Xsession to also look for .xinitrc.
The other is to add an option to gdm to invoke the user's
.xinitrc for login.
Comment 1 Jay Turner 1999-06-28 12:06:59 EDT
Gnome makes use of session management rather than using .xinitrc to
determine what to start at X initialization.

------- Additional Comments From   06/28/99 12:10 -------
gdm is not only for Gnome sessions - it also launches KDE,
AnotherLevel, and the standard X11 Xsession.

Maybe this is not really a gdm issue, but rather an Xsession issue.

Note You need to log in before you can comment on or make changes to this bug.